ldns-read-zone(1)

NAME
ldns-read-zone - read a zonefile and print it

SYNOPSIS
ldns-read-zone ZONEFILE

DESCRIPTION
ldns-read-zone reads a DNS zone file and prints it. The output has 1 resource record per line, and no pretty-printing makeup.

OPTIONS

-c  Canonicalize all resource records in the zone before printing

-d  Only print DNSSEC data from the zone. This option skips every record that is not of type NSEC, NSEC3, RRSIG or DNSKEY. DS records are not printed.

-h  Show usage and exit

-n  Do not print the SOA record

-s  Strip DNSSEC data from the zone. This option skips every record that is of type NSEC, NSEC3, RRSIG or DNSKEY. DS records are still printed.

-v  Show the version and exit

-z  Sort the zone before printing (this implies -c)

AUTHOR
Written by the ldns team as an example for ldns usage.

REPORTING BUGS
Report bugs to <ldns-team@nlnetlabs.nl>.

COPYRIGHT
Copyright (C) 2005 NLnet Labs. This is free software. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.